# Transform Class Reference

List of all members.

## Detailed Description

Utility class for transforming strings.

## Static Public Member Functions

static void | appendEscapingTags (LogString &buf, const LogString &input)
| This method takes a string which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<' and '>' characters with respective predefined entity references.
static void | appendEscapingCDATA (LogString &buf, const LogString &input)
| Ensures that embeded CDEnd strings (]]>) are handled properly within message, NDC and throwable tag text.

## Member Function Documentation

static void appendEscapingCDATA | ( | LogString & | buf,
|  | const LogString & | input
| ) | `[static]`

Ensures that embeded CDEnd strings (]]>) are handled properly within message, NDC and throwable tag text.

Parameters:

  | buf | output stream holding the XML data to this point. The initial CDStart (<![CDATA[) and final CDEnd (]]>) of the CDATA section are the responsibility of the calling method.
  | input | The String that is inserted into an existing CDATA Section within buf.

static void appendEscapingTags | ( | LogString & | buf,
|  | const LogString & | input
| ) | `[static]`

This method takes a string which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<' and '>' characters with respective predefined entity references.

Parameters:

  | buf | output stream where to write the modified string.
  | input | The text to be converted.

Returns:
  The input string with the characters '<' and '>' replaced with &lt; and &gt; respectively.

The documentation for this class was generated from the following file:

- transform.h